import { JSONSchema6 } from 'json-schema';
import * as React from 'react';
import { FilterRenderMode, FiltersView } from '.';
import { DropDownButtonProps } from '../DropDownButton';
export declare const ViewListItem: import("styled-components").StyledComponent<"li", any, {}, never>;
declare class ViewsMenu extends React.Component<ViewsMenuProps, ViewsMenuState> {
    constructor(props: ViewsMenuProps);
    loadView(view: FiltersView): void;
    render(): JSX.Element;
}
export interface ViewsMenuProps {
    buttonProps?: DropDownButtonProps;
    disabled?: boolean;
    views: FiltersView[];
    schema: JSONSchema6;
    hasMultipleScopes?: boolean;
    setFilters: (filters: JSONSchema6[]) => void;
    deleteView: (view: FiltersView) => any;
    renderMode?: FilterRenderMode | FilterRenderMode[];
}
interface ViewsMenuState {
    showViewsMenu: boolean;
}
export default ViewsMenu;
